org.hibernate.search.elasticsearch.work.impl

## Class ES2DeleteByQueryWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<ES2DeleteByQueryWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.ES2DeleteByQueryWork.Builder

- All Implemented Interfaces:
    DeleteByQueryWorkBuilder, ElasticsearchWorkBuilder<ElasticsearchWork<Void>>, IndexWriteWorkBuilder<DeleteByQueryWorkBuilder>, TranslatedLuceneWorkBuilder<DeleteByQueryWorkBuilder>
  Enclosing class:
    ES2DeleteByQueryWork

      public static class ES2DeleteByQueryWork.Builder
      extends SimpleElasticsearchWork.Builder<ES2DeleteByQueryWork.Builder>
      implements DeleteByQueryWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(URLEncodedString indexName, com.google.gson.JsonObject payload, ElasticsearchWorkFactory workFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ES2DeleteByQueryWork` | `build()`
    `protected ElasticsearchWork<?>` | `buildRefreshWork()`
    `protected ElasticsearchRequest` | `buildRequest()`
    `ES2DeleteByQueryWork.Builder` | `type(URLEncodedString typeName)`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.elasticsearch.work.impl.builder.TranslatedLuceneWorkBuilder

      `luceneWork`

    - ### Methods inherited from interface org.hibernate.search.elasticsearch.work.impl.builder.IndexWriteWorkBuilder

      `markIndexDirty`

- - ### Constructor Detail

    - #### Builder

          public Builder(URLEncodedString indexName,
                         com.google.gson.JsonObject payload,
                         ElasticsearchWorkFactory workFactory)

  - ### Method Detail

    - #### type

          public ES2DeleteByQueryWork.Builder type(URLEncodedString typeName)

      Specified by:
        `type` in interface `DeleteByQueryWorkBuilder`

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<ES2DeleteByQueryWork.Builder>`

    - #### buildRefreshWork

          protected ElasticsearchWork<?> buildRefreshWork()

    - #### build

          public ES2DeleteByQueryWork build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<Void>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<ES2DeleteByQueryWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved